Sketchup Make requirements?


#1

Hi guys, newbie here. I’ve been using an older version, Sketchup 8, due to fact I’m still on an older Mac OS (Snow Leopard 10.6.8). I recently determined I need to upgrade to something better, several users mentioned SU Make. My question is this, which version of SU Make is/are still available that can be used offline and allows the use of plugins? I’ve read there’s a SU Make 2017 download still out, what is the minimal Mac OS requirements for that version? Couldn’t find a good clear answer when I checked on it, thx.


#2

You’ll need at least OS X 10.10 (Yosemite) for SketchUp Make 2017.

Requirements:

https://help.sketchup.com/en/article/36208

Downloads:
https://www.sketchup.com/download/all


#3

Ok, thx for the reply!


#4

This topic was automatically closed 91 days after the last reply. New replies are no longer allowed.